function dYfuncvecdV = ODEfun(V,Yfuncvec); 
X = Yfuncvec(1); 
% Explicit equations
k1 = 0.072; 
Cao = 0.066;
T = 1100;
T1 = 1000; 
R = 1.987;
E = 82000;
yao = 1;
Fao = 193;
epsilon = yao*(1+1-1); 
k = k1*exp((E/R)*(1/T1-1/T)); 
Cb = Cao*X/(1+epsilon*X); 
Cc = Cb;
Ca = Cao*(1-X)/(1+epsilon*X); 
ra = -k*Ca; 
% Differential equations
dXdV = - (ra / Fao); 
dYfuncvecdV =[dXdV]; 


